<!doctype html>
<html>
  <head>
    <title>{Title}</title>
    <meta charset="utf-8" />
    <meta http-equiv="X-UA-Compatible" content='IE=edge' />
    <meta name="viewport" content="width=device-width" />
    <meta name="apple-mobile-web-app-capable" content="yes">

    <link rel="shortcut icon" href="{Favicon}">
    <link rel="apple-touch-icon-precomposed" href="{PortraitURL-128}">
    <link rel="apple-touch-icon" sizes="57x57" href="{PortraitURL-64}">
    <link rel="apple-touch-icon" sizes="60x60" href="{PortraitURL-64}">
    <link rel="apple-touch-icon" sizes="72x72" href="{PortraitURL-64}">
    <link rel="apple-touch-icon" sizes="76x76" href="{PortraitURL-96}">
    <link rel="apple-touch-icon" sizes="114x114" href="{PortraitURL-128}">
    <link rel="apple-touch-icon" sizes="120x120" href="{PortraitURL-128}">
    <link rel="apple-touch-icon" sizes="144x144" href="{PortraitURL-128}">
    <link rel="apple-touch-icon" sizes="152x152" href="{PortraitURL-128}">
    <link rel="apple-touch-icon" sizes="180x180" href="{PortraitURL-128}">
    <link rel="icon" type="image/png" href="{PortraitURL-30}" sizes="32x32">
    <link rel="icon" type="image/png" href="{PortraitURL-128}" sizes="192x192">
    <link rel="icon" type="image/png" href="{PortraitURL-96}" sizes="96x96">
    <link rel="icon" type="image/png" href="{PortraitURL-16}" sizes="16x16">
    <meta name="msapplication-TileColor" content="{BackgroundColor}">
    <meta name="msapplication-TileImage" content="{PortraitURL-128}">
    <meta name="theme-color" content="{BackgroundColor}">

    {block:Description}
    <meta name="description" content="{MetaDescription}" />
    {/block:Description}

    <meta name="color:BoxBackground" content="#fff" />
    <meta name="color:BoxBorder" content="#fff" />
    <meta name="color:Text" content="#000" />
    <meta name="if:Grid Layout" content="1">
    <meta name="if:Show Article Footer" content="0">
    <meta name="if:Show tags" content="0">
    <meta name="if:Show social" content="0">
    <meta name="text:Google analytics ID" content="">
    <meta name="text:Disqus Shortname" content=""/>

    <link rel="alternate" type="application/rss+xml" href="{RSS}">
    <link href='https://cdnjs.cloudflare.com/ajax/libs/normalize/3.0.3/normalize.min.css' type='text/css'>
    <link href="https://fonts.googleapis.com/css?family=Karla" rel="stylesheet"> 

    <style>
     /**
	Theme: Portfolio - Helka
	balconythemes.tumblr.com

	uses:
	Tumblr Starter Theme (boilerplate)
	https://github.com/hugurp/tumblr-boilerplate
      */

     /**
	Base
	Uniformizes html elements behavior, on top of Normalize.css
      */

     *, *:before, *:after { box-sizing: border-box; -moz-box-sizing: border-box; }
     
     html {
	 line-height: 1.5;
	 font-size: 16px;
	 font-family: 'Karla', sans-serif;
	 font-weight: 300;
     }
     body {
	 margin: 0;
	 color: {color:Text};
	 background-color: {BackgroundColor};
     }
     img,
     iframe {
	 max-width: 100%;
	 vertical-align: top;
     }
     figure {
	 margin: 0;
     }
     h1, h2, h3, h4 {
	 margin-top: 0;
     }
     a,
     a:visited {
	 text-decoration: underline;
	 color: {AccentColor};
     }
     a:hover,
     a:focus {
	 text-decoration:
	     underline;
	 color: black;
	 outline: 0;
     }
     p {
	 margin-top: 0;
	 margin-bottom: 0;
     }

     /**
	Articles
      */
     .Article {
	 margin-bottom: 0;
	 padding: 0.5rem;
     }
     
     /**
	Masonry
      */
     .Masonry .Article,
     .Masonry-gridSizer {
	 width: 100%;
     }

     @media (min-width: 25rem) {
	 .Articles.Masonry .Article,
	 .Masonry-gridSizer {
    	     width: 50%;
	 }
     }
     @media (min-width: 40rem) {
	 .Articles.Masonry .Article,
	 .Masonry-gridSizer {
    	     width: 33.3%;
	 }
     }
     @media (min-width: 90rem) {
	 .Articles.Masonry .Article,
	 .Masonry-gridSizer {
	     width: 25%;
	 }
     }
     
     .Masonry-gutterSizer {
	 width: 0;
     }
     /* hide until .is-active (added by javascript when)*/
     .Masonry {
	 opacity: 0;
	 margin-left: -0.8rem;
	 margin-right: -0.8rem;
     }
     .Masonry.is-active {
	 opacity: 1;
     }
     .Article.is-hidden {
	 opacity: 0;
     }

     /**
      * Layout
      */

     .SiteHeader {
	 padding-top: 2rem;
     }
     .SiteDescription {
	 font-style: normal;
	 margin-bottom: 1rem;
	 margin-top: -0.6rem;
	 max-width: 30rem;
     }

     .Site--detail .SiteMain {
	 max-width: 80rem;
     }
     .SiteFooter {
	 font-size: 0.8rem;
     }
     
     /**
      * 
      **/
     
     .SiteTitle {
	 font-weight: {TitleFontWeight};
	 margin-bottom: 1rem;
	 font-size: 2.6rem;
	 line-height: 1;
     }
     .SiteTitle a {
	 text-decoration: none;
     }
     .SiteDescription {
         margin-bottom: 1rem;
         font-style: italic;
         line-height: 1.3;
     }

     .Section {
	 padding-bottom: 2rem;
     }

     .Container {
	 padding-left: 2rem;
	 padding-right: 2rem;
     }
     .Breadcrumb {
         text-transform: capitalize;
         font-weight: 400;
	 font-size: 2.4rem;
	 margin-bottom: 1rem;
     }

     /* Navigation */
     .Nav--site {
	 display: flex;
     }
     .Nav-item {
	 padding-right: 1.5rem;
	 padding-top: 1rem;
	 padding-bottom: 1rem;	 
	 display: block;
    	 text-decoration: none;
     }
     Pagination--indexPage {
	 display: none;
     }
     .Pagination--permalinkPage {
	 position: fixed;
	 bottom: 1rem;
	 right: 1rem;
     }
     .Pagination-item {
	 padding-top: 1rem;
	 padding-bottom: 1rem;
	 padding-right: 1rem;
     }
     
     /**
      * Articles
      **/
     .Article {
	 padding: 0.8rem;
         background-color: {color:BoxBackground};
         border: 1px solid {color:BoxBorder};
     }
     .Article.Article--detail {
	 padding-left: 0;
	 padding-right: 0;
     }
     .Article--detail img {
	 max-height: 70vh;
     }
     .Article-footer {
	 text-align: right;
         padding-top: 1rem;
     }
     .Article-media + .Article-body {
         margin-top: 1rem;
     }
     
     .Article-media img {
	 max-width: 100%;
     }
     .Article-media video,
     .Article-media iframe {
         width: 100%;
     }
     .Article-publishedTime {
         display: block;
         margin-bottom: -5px;
     }


     /**
      * Infinite scrolling + Loading Animation (infinite scrolling animation)
      */

     /* hide unwanted elements */
     #infscr-loading img { display: none; }
     #infscr-loading em { display: none; }

     /* Keyframe */
     @-webkit-keyframes floating {
	 0% { -webkit-transform: translateX(0); -webkit-transform: rotate(0); }
	 50% { -webkit-transform: translateX(20%); -webkit-transform: rotate(360deg); }
	 100%{ -webkit-transform: translateX(0); -webkit-transform: rotate(360deg); }
     }
     @-moz-keyframes floating {
	 0% { -moz-transform: translateX(0); -moz-transform: rotate(0); }
	 50% { -moz-transform: translateX(20%); -moz-transform: rotate(360deg); }
	 100%{ -moz-transform: translateX(0); -moz-transform: rotate(360deg); }
     }

     /* animation */
     #infscr-loading,
     #infscr-loading:after,
     #infscr-loading:before {
	 width: 7px;
	 height: 7px;
     }
     #infscr-loading {
	 position: fixed;
	 bottom: 1.2em;
	 right: 3rem;	 
	 background-color: red;
	 box-shadow: 1px 1px 8px black;
	 -webkit-animation: floating 1.5s infinite;
	 -moz-animation: floating 1.5s infinite;
     }
     #infscr-loading:before {
	 content: "";
	 display: block;
	 background-color: green;
	 z-index: 1;
	 position: absolute;
	 left: -10px;

	 -webkit-animation: floating 1s infinite;
	 -moz-animation: floating 1s infinite;

     }
     #infscr-loading:after {
	 content: "";
	 display: block;
	 background-color: blue;
	 z-index: 1;
	 position: absolute;
	 right: -10px;

	 -webkit-animation: floating 1.2s infinite;
	 -moz-animation: floating 1.2s infinite;
     }

     /* User generated custom style */
     {CustomCSS}

    </style>
  </head>

  <body class="Site {block:PermalinkPage}Site--detail{/block:PermalinkPage}">

    <header id="SiteHeader" class="SiteHeader Section Container">
      {block:ShowHeaderImage}
      <figure class="HeaderImage">
	<img src="{HeaderImage}" alt="{Title}">
      </figure>
      {/block:ShowHeaderImage}

      <h1 class="SiteTitle"><a href="/">{Title}</a></h1>

      {block:ShowDescription}
      <p class="SiteDescription">
	{block:Description}
	{Description}
	{/block:Description}
      </p>
      {/block:ShowDescription}

      {block:HasPages}
      <nav class="Nav Nav--site">
	{block:Pages}
	<a class="Nav-item" href="{URL}">{Label}</a>
	{/block:Pages}

	{block:SubmissionsEnabled}
	<a class="Nav-item" href="/submit">{SubmitLabel}</a>
	{/block:SubmissionsEnabled}

	{block:AskEnabled}
	<a class="Nav-item" href="/ask">{AskLabel}</a>
	{/block:AskEnabled}
      </nav>
      {/block:HasPages}
    </header>

    <main class="SiteMain">
      <section id="SiteMain" class="Section Section--articles Container">
    	{block:TagPage}
    	<h1 class="Breadcrumb">{Tag}</h1>
    	{/block:TagPage}
	<div id="Masonry" class="Articles {block:IndexPage}{block:IfGridLayout}Masonry{/block:IfGridLayout}{/block:IndexPage}">
	  {block:Posts}
	  <article class="Article {block:PermalinkPage}Article--detail{/block:PermalinkPage} Article--{PostType} Article--{PostID} {TagsAsClasses}">
	    <div class="Article-inner">
    	      {block:Text}
    	      <header class="Article-header">
    		{block:Title}
    		<h1 class="Article-title"><a href="{Permalink}">{Title}</a></h1>
    		{/block:Title}
    	      </header>
	      
    	      <div class="Article-body">{Body}</div>
    	      {/block:Text}
	      
    	      {block:Photo}
    	      <figure>
    		<a class="Article-media Article-media--photo" href="{Permalink}">
    		  <img src="{PhotoURL-HighRes}" alt="{PhotoAlt}"/>
    		</a>
    		{block:Caption}
    		<figcaption class="Article-body">
    		  {Caption}
    		</figcaption>
    		{/block:Caption}
    	      </figure>
    	      {/block:Photo}
	      
    	      {block:Panorama}
    	      {LinkOpenTag}
    	      <figure>
    		<a class="Article-media Article-media--panorama" href="{Permalink}">
    		  <img src="{PhotoURL-Panorama}" alt="{PhotoAlt}"/>
    		</a>
    		{block:Caption}
    		<figcaption class="Article-body">
    		  {Caption}
    		</figcaption>
    		{/block:Caption}
    	      </figure>
    	      {LinkCloseTag}
    	      {/block:Panorama}
	      
    	      {block:Photoset}
    	      <figure>
    		<a class="Article-media Article-media--photoset" href="{Permalink}">
    		  {Photoset-700}
    		</a>
    		{block:Caption}
    		<figcaption class="Article-body">
    		  {Caption}
    		</figcaption>
    		{/block:Caption}
    	      </figure>
    	      {/block:Photoset}
	      
    	      {block:Quote}
    	      <blockquote class="Article-body Blockquote">
    		<p class="Blockquote-quote">"{Quote}"</p>
		
    		{block:Source}
    		<cite class="Blockquote-source">{Source}</cite>
    		{/block:Source}
    	      </blockquote>
    	      {/block:Quote}
	      
    	      {block:Link}
    	      <header class="Article-header">
    		<h1 class="Article-title"><a href="{URL}" {Target}>{Name}</a></h1>
    	      </header>
	      
    	      {block:Description}
    	      <div class="Article-body">{Description}</div>
    	      {/block:Description}
    	      {/block:Link}
	      
    	      {block:Chat}
    	      <header class="Article-header">
    		{block:Title}
    		<h1 class="Article-title"><a href="{Permalink}">{Title}</a></h1>
    		{/block:Title}
    	      </header>
	      
    	      <div class="Article-body">
    		{block:Lines}
    		<p class="User User-{UserNumber}">
    		  {block:Label}
    		  <span class="label">{Label}</span>
    		  {/block:Label}{Line}
    		</p>
    		{/block:Lines}
    	      </div>
    	      {/block:Chat}
	      
    	      {block:Video}
    	      <figure>
    		<div class="Article-media">
    		  {Video-500}
    		</div>
    		{block:Caption}
    		<figcaption class="Article-body">
    		  {Caption}
    		</figcaption>
    		{/block:Caption}
    	      </figure>
    	      {/block:Video}
	      
    	      {block:Audio}
    	      <figure>
    		<div class="Article-media">
    		  {block:AlbumArt}
    		  <img src="{AlbumArtURL}" alt="">
    		  {/block:AlbumArt}
    		</div>
		
    		{block:Caption}
    		<figcaption class="Article-body">
    		  {Caption}
    		</figcaption>
    		{/block:Caption}
    	      </figure>
	      
    	      <div class="Article-media ">
    		{AudioPlayerBlack}
    	      </div>
    	      {/block:Audio}
    	    </div>
    	    {block:IfShowArticleFooter}
    	    <footer class="Article-footer">
              {block:Date}
    	      <time class="Article-publishedTime"><a href="{Permalink}">{Year}/{MonthNumberWithZero}/{DayOfMonthWithZero}</a></time>
    	      {/block:Date}
    	      
    	      {block:IfShowTags}
    	      {block:HasTags}
    	      <div class="Tags">
    		<!--<span class="Tag Tag--postType">{PostType}</span>-->
    		{block:Tags}
    		<a class="Tag" rel="tag" href="{TagURL}" title="{lang:Posts tagged Tag}">{Tag}</a>
    		{/block:Tags}
    	      </div>
    	      {/block:HasTags}
    	      {/block:IfShowTags}
    	    </footer>
    	    {/block:IfShowArticleFooter}


	  </article>
	  {/block:Posts}
	</div>
      </section>

      {block:PermalinkPage}
      {block:IfDisqusShortname}
      <section class="Section Section--comments">
	<div id="disqus_thread"></div>
      </section>
      {/block:IfDisqusShortname}
      {/block:PermalinkPage}
    </main>

    <footer id="SiteFooter" class="SiteFooter Section Container">
      {block:IndexPage}
      <div id="PaginationContainer" class="Pagination Pagination--indexPage">
	{block:PreviousPage}
	<a class="Pagination-item" href="{PreviousPage}">&#171; Previous</a>
	{/block:PreviousPage}

	{block:NextPage}
	<a id="PaginationNext" class="Pagination-item" href="{NextPage}">Next &#187;</a>
	{/block:NextPage}
      </div>
      {/block:IndexPage}

      {block:PermalinkPage}
      {block:PermalinkPagination}
      <nav class="Pagination Pagination--permalinkPage">
	{block:NextPost}
	<a class="Pagination-item" href="{NextPost}">&#171; Previous</a>
	{/block:NextPost}

	{block:PreviousPost}
	<a class="Pagination-item" href="{PreviousPost}">Next &#187;</a>
	{/block:PreviousPost}
      </nav>
      {/block:PermalinkPagination}
      {/block:PermalinkPage}
      <div>- {Title} / {CopyrightYears} (<a href="https://tumblr.internet4000.com">credits</a>) -</div>
    </footer>

    <div class="SiteScripts">
      <script src="https://ajax.googleapis.com/ajax/libs/jquery/2.2.0/jquery.min.js"></script>
      <script src="https://static.tumblr.com/qdi9m50/E00mzqyrr/jquery.infinitescroll.min.js"></script>
      <script src="https://static.tumblr.com/qdi9m50/Jc8n0ith2/imagesloaded.pkgd.min.js"></script>
      <script src="https://static.tumblr.com/qdi9m50/XbBn0g0nw/masonry.pkgd.min.js"></script>

      <script>
       var TumblrStarterTheme = function() {
	 this.init();
       };

       TumblrStarterTheme.prototype = {

	 // global variables
	 $siteMain: null,
	 $masonryContainer: $('#Masonry'),

	 init: function() {
	   // console.log('init - running');
	   // on dom ready save the var
	   var self = this;
	   this.$siteMain = $('#SiteMain');

	   // run imgLoaded then Masonry if Articles has class 'Masonry'
	   if (this.$masonryContainer.hasClass('Masonry')) {
	     this.$siteMain.imagesLoaded().done( function( instance ) {
	       // console.log("images loaded - running");
	       self.masonry();
	     });
	   }

	   // run infinite scrolling anyway
	   this.infiniteScrolling();
	 },

	 masonry: function() {
	   // console.log('masonry - running');
	   this.$masonryContainer
	       .prepend('<div class="Masonry-gridSizer"></div><div class="Masonry-gutterSizer"></div>')
	       .masonry({
		 columnWidth: '.Masonry-gridSizer',
		 gutter: '.Masonry-gutterSizer',
		 itemSelector: '.Article',
		 transitionDuration: '100ms',
		 bufferPx: 300 // trigger 'next' earlier
	       }).addClass('is-active');
	 },

	 infiniteScrolling: function() {
	   // console.log('infinite scrolling - running');

	   var self = this;

	   this.$siteMain.infinitescroll({
	     navSelector  : "#PaginationContainer", // selector for the paged navigation (it will be hidden)
	     nextSelector : "#PaginationNext", // selector for the NEXT link (to page 2)
	     itemSelector : ".Article", // selector for all items you'll <retrieve></retrieve>
	     debug : false, // enable debug messaging
	     loadingText : "", // text accompanying loading image
	     finishedMsg: "Nothing more to load",
             img: null,
	   }, function( newElements ) {
	     // callback to include new masonry items
	     if (self.$masonryContainer.hasClass('Masonry')) {
	       // call imagesLoaded first
	       var $newElems = $( newElements ).addClass('is-hidden');
	       self.$siteMain.imagesLoaded().done( function( instance ) {
		 // console.log('masonry callback - running');
		 // trigger Masonry
		 self.$masonryContainer.append($newElems).masonry('appended', $newElems);
		 $newElems.removeClass('is-hidden');
	       });
	     }
	   });
	 }
       };

       // Create a new instance of TumblrStarterTheme app and launches TumblrStarterTheme.init
       $(document).ready(function() {
	 var tumblrStarterTheme = new TumblrStarterTheme();
       });
      </script>

      {block:IfGoogleAnalyticsID}
      <script type="text/javascript">var gaJsHost=(("https:"==document.location.protocol)?"https://ssl.":"http://www.");document.write(unescape("%3Cscript src='"+gaJsHost+"google-analytics.com/ga.js' type='text/javascript'%3E%3C/script%3E"));</script><script type="text/javascript">try{var pageTracker=_gat._getTracker("{text:Google Analytics ID}");pageTracker._trackPageview()}catch(err){}</script>
      {block:IfGoogleAnalyticsID}

      {block:IfDisqusShortname}
      <script type="text/javascript">
       /* * * CONFIGURATION VARIABLES: EDIT BEFORE PASTING INTO YOUR WEBPAGE * * */
       var disqus_shortname = '{text:Disqus Shortname}'; // Required - Replace <example> with your forum shortname

       /* * * DON'T EDIT BELOW THIS LINE * * */
       (function() {
	 var dsq = document.createElement('script'); dsq.type = 'text/javascript'; dsq.async = true;
	 dsq.src = '//' + disqus_shortname + '.disqus.com/embed.js';
	 (document.getElementsByTagName('head')[0] || document.getElementsByTagName('body')[0]).appendChild(dsq);
       })();
      </script>
      {/block:IfDisqusShortname}
    </div>

  </body>
</html>
